# Delete a Customer tax ID

Deletes an existing `tax_id` object.

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createCustomer
POST /v1/customers {"name":"Jenny Rosen","email":"jennyrosen@example.com"}
2. createTaxId
POST /v1/tax_ids {"type":"eu_vat","value":"DE123456789"}

## Request

```curl
curl -X DELETE https://api.stripe.com/v1/customers/{{CUSTOMER_ID}}/tax_ids/{{TAX_ID}} \
  -u "<<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "id": "txi_1MoC8zLkdIwHu7ixEhgWcHzJ",
  "object": "tax_id",
  "deleted": true
}
```

## Parameters

- `customer_id` (string, required)
- `id` (string, required)
  Unique identifier for the object.

## Returns

Returns an object with a deleted parameter on success. If the `tax_id` object does not exist, this call raises [an error](https://docs.stripe.com/api/tax_ids/customer_delete.md#errors).
